Package org.apache.tapestry5.internal.transform

## Class InjectNamedProvider

- java.lang.Object
- - org.apache.tapestry5.internal.transform.InjectNamedProvider

- All Implemented Interfaces:
    `InjectionProvider2`

      public class InjectNamedProvider
      extends Object
      implements InjectionProvider2

  Processes the combination of `Inject` and `Named` annotations.
  Since:
    5.3

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InjectNamedProvider​(ObjectLocator locator, ComponentClassCache cache)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `provideInjection​(PlasticField field, ObjectLocator locator, MutableComponentModel componentModel)` | Perform the injection, if possible.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InjectNamedProvider

          public InjectNamedProvider​(ObjectLocator locator,
                                     ComponentClassCache cache)

  - ### Method Detail

    - #### provideInjection

          public boolean provideInjection​(PlasticField field,
                                          ObjectLocator locator,
                                          MutableComponentModel componentModel)

      Description copied from interface: `InjectionProvider2`
      Perform the injection, if possible. Most often, this will result in a call to `PlasticField.inject(Object)`. The caller is responsible for invoking `PlasticField.claim(Object)`.
      Specified by:
        `provideInjection` in interface `InjectionProvider2`
      Parameters:
        `field` - that has the `Inject` annotation
        `locator` - allows services to be located
        `componentModel` - defines the relevant aspects of the component
      Returns:
        true if an injection has been made (terminates the command chain), false to continue down the chain